/**
 * 
 */
package com.nisum.mytime.service;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.EmployeeVisa;
import com.nisum.mytime.model.TravelRequest;
import com.nisum.mytime.model.Visa;

/**
 * @author nisum
 *
 */
public interface VisaService {

	List<Visa> getAllVisas();

	List<EmployeeVisa> getAllEmployeeVisas();

	EmployeeVisa addEmployeeVisas(EmployeeVisa e);

	EmployeeVisa updateEmployeeVisas(EmployeeVisa e);

	void deleteEmployeeVisas(EmployeeVisa e);

	List<TravelRequest> getAllTravels();

	TravelRequest addTravelRequest(TravelRequest e);

	TravelRequest updateTravelRequest(TravelRequest e);

	void deleteEmployeeVisas(TravelRequest e);
	
	String exportDataFromExcelFile(MultipartFile file,String empId) throws MyTimeException;
}
